Loading...
Searching...
No Matches
juce::Enumerated< Index, Value > Struct Template Reference

`#include <juce_Enumerate.h>`

## Public Attributes

Index | index
Value | value

## Detailed Description

template<typename Index, typename Value>
struct juce::Enumerated< Index, Value >

Returned when dereferencing an EnumerateIterator.

Allows querying the index associated with an element, along with a reference to the element itself.

You should never need to construct an instance of this type yourself. Instead, use the enumerate() function to construct a range that can be enumerated.

See also
  enumerate()

Definition at line 109 of file juce_Enumerate.h.

## Member Data Documentation

## index

template<typename Index, typename Value>

Index juce::Enumerated< Index, Value >::index

Definition at line 111 of file juce_Enumerate.h.

## value

template<typename Index, typename Value>

Value juce::Enumerated< Index, Value >::value

Definition at line 112 of file juce_Enumerate.h.

The documentation for this struct was generated from the following file:

- juce_Enumerate.h